libcamera: libcamera::Stream Class Reference

libcamera v0.7.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::Stream Class Reference

Video stream for a camera. More...

Collaboration diagram for libcamera::Stream:
[legend]

## Public Member Functions
| Stream ()
| Construct a stream with default parameters.
const StreamConfiguration & | configuration () const
| Retrieve the active configuration of the stream.

## Protected Attributes
StreamConfiguration | configuration_
| The stream configuration.

## Friends
class | Camera

## Detailed Description

Video stream for a camera.

The Stream class models all static information which are associated with a single video stream. Streams are exposed by the Camera object they belong to.

Cameras may supply more than one stream from the same video source. In such cases an application can inspect all available streams and select the ones that best fit its use case.

Todo
  Add capabilities to the stream API. Without this the Stream class only serves to reveal how many streams of unknown capabilities a camera supports. This in itself is productive as it allows applications to configure and capture from one or more streams even if they won't be able to select the optimal stream for the task.

## Member Function Documentation

## ◆ configuration()

const StreamConfiguration & libcamera::Stream::configuration | ( |  | ) | const
| inline

Retrieve the active configuration of the stream.

Returns
  The active configuration of the stream

## Member Data Documentation

## ◆ configuration_

StreamConfiguration libcamera::Stream::configuration_
| protected

The stream configuration.

The configuration for the stream is set by any successful call to Camera::configure() that includes the stream, and remains valid until the next call to Camera::configure() regardless of if it includes the stream.

The documentation for this class was generated from the following files:

- include/libcamera/stream.h
- src/libcamera/stream.cpp